// 极简类型系统：仅支持 void 与 i32。

// 还应该包含 i32/f32/void、指针、数组、函数类型等
// - 按 SysY 支持范围裁剪并逐步补齐
#include "ir/IR.h"

namespace ir {

std::shared_ptr<Type> Type::Void() { return DefaultContext().Void(); }

std::shared_ptr<Type> Type::Int32() { return DefaultContext().Int32(); }

}  // namespace ir
